%define enable_tests	0

%define major		6
%define libname		%mklibname gearman %{major}
%define develname	%mklibname gearman -d

Summary:	Gearman Server and C Library
Name:		gearmand
Version:	0.28
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
URL:		http://www.gearman.org/
Source0:	http://launchpad.net/gearmand/trunk/%{version}/+download/gearmand-%{version}.tar.gz
Source1:        gearmand.init
Source2:        gearmand.sysconfig
Source3:        gearmand.logrotate
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre):  rpm-helper
Requires(postun): rpm-helper
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libdrizzle)
BuildRequires:	e2fsprogs-devel
BuildRequires:	libevent-devel
BuildRequires:	libmemcached-devel >= 0.50
BuildRequires:	sqlite3-devel
BuildRequires:	curl-devel
BuildRequires:	libuuid-devel
BuildRequires:	lzmalib-devel
BuildRequires:	memcached
BuildRequires:	openssl-devel
BuildRequires:	postgresql-libs-devel
BuildRequires:	tokyocabinet-devel

%description
Gearman provides a generic framework to farm out work to other machines,
dispatching function calls to machines that are better suited to do work, to do
work in parallel, to load balance processing, or to call functions between
languages.


%package -n	%{libname}
Summary:	Shared Gearman Client Library
Group:		System/Libraries

%description -n	%{libname}
Gearman provides a generic framework to farm out work to other machines,
dispatching function calls to machines that are better suited to do work, to do
work in parallel, to load balance processing, or to call functions between
languages.

This package contains the Client Library.


%package -n	%{develname}
Summary:	Development files for the Gearman Server and C Library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	gearman-devel = %{version}-%{release}

%description -n	%{develname}
Development files for the Gearman Server and C Library.


%prep
%setup -q

%build
%configure2_5x \
%ifarch %ix86
	--disable-64bit \
%endif
	--disable-static

make

%install
%makeinstall_std

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}/var/log/%{name}
install -d %{buildroot}/var/run/%{name}

install -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

touch %{buildroot}/var/log/%{name}/gearmand.log

#we don't want these
find %{buildroot} -name "*.la" -delete

%if %{enable_tests}
%check
make check
%endif

%pre
%_pre_useradd %{name} /dev/null /bin/false

%postun
%_postun_userdel %{name}

%post
%create_ghostfile /var/log/%{name}/gearmand.log %{name} %{name} 0640
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/gearadmin
%{_bindir}/gearman
%{_sbindir}/gearmand
%{_mandir}/man1/gear*
%{_mandir}/man8/gear*
%attr(0711,%{name},%{name}) %dir /var/log/%{name}
%attr(0711,%{name},%{name}) %dir /var/run/%{name}
%ghost %attr(0640,%{name},%{name}) /var/log/%{name}/gearmand.log

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_includedir}/libgearman/
%{_includedir}/libgearman-1.0/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/gearmand.pc
%{_mandir}/man3/gear*
%{_mandir}/man3/libgearman.3*


%changelog

* Sat Jan 28 2012 fwang <fwang> 0.28-1.mga2
+ Revision: 202422
- new version 0.28

* Sun Jan 22 2012 kamil <kamil> 0.27-2.mga2
+ Revision: 199451
- rebuild against new tokyocabinet-1.4.47
- clean .spec

* Fri Jan 13 2012 wally <wally> 0.27-1.mga2
+ Revision: 195802
- temporary disable tests as hostileworker_test fails on i586
- disable 64bit build on i586 arch
- fix file list

  + fwang <fwang>
    - add more br
    - new version 0.27
    - fix br
    - rebuild for new libmemcached

  + tv <tv>
    - new release

* Sun Jul 17 2011 fwang <fwang> 0.14-3.mga2
+ Revision: 125237
- rebuild for new libmemcached

* Sat Feb 05 2011 spuhler <spuhler> 0.14-2.mga1
+ Revision: 47566
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package gearmand

